<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="email" schema="email-email" id="top-largest-email-exchange">

 <lire:title>Largest Email Exchange Email Report</lire:title>
 <lire:description>
  <para>This report the sender and recipient that exchange the largest
   volume of email.
  </para>
 </lire:description>

 <lire:param-spec>

  <lire:param name="exchange_to_show" type="int" default="10">
   <lire:description>
    <para>This parameter controls the number of sender, recipient
     to display in the report.
    </para>
   </lire:description>
  </lire:param>
  
  <lire:param name="msg_to_show" type="int" default="5">
   <lire:description>
    <para>This parameter controls the number of messages to
     display in the report.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Largest Email Exchange, Top $exchange_to_show, Top
  $msg_to_show Messages</lire:title>

 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:group sort="-exchange_total" limit="$exchange_to_show">
   <lire:field name="from_email"/>
   <lire:field name="to_email"/>
   <lire:group limit="$msg_to_show">
    <lire:field name="msgid"/>

    <lire:sum name="exchange_total" field="size" label="Volume"/>
    <lire:sum name="exchange_ratio" field="size" ratio="table" label="% Total"/>
   </lire:group>
  </lire:group>

 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->

